Status: Closed Start date: 11/21/2015
Priority: Normal Due date:

Assignee: John Diamond % Done: 100%
Category: Estimated time: 6.00 hours
Target version: Spent time: 2.50 hours
Description

Replace the generece setRegister commands with specific commands named after what the register represents.
Also, assign the A32 base address automatically in DAQPool rather than from the startup script.

History

#1 - 11/21/2015 01:59 PM - John Diamond

A32 base address is already being automatically set by DAQPool::_assignA32 from DAQPool::_addADC. The starting base address was
0x00000000. Changed this to 0x08000000 based on advice from Duane.

#2 - 11/21/2015 02:38 PM - John Diamond

Implemented shell commands for window size, baseline average size, baseline correction, channel delay, polarity flip and sync delay.
Replaced setRegister commands in nbeamstartup with new shell commands.
The "mode" setting was moved into DAQPool.

#3 - 11/22/2015 01:05 PM - John Diamond
- % Done changed from 0 to 90

Created methods for setting channel buffer size and raw sample size in MirrTorDrv.

Added code to DAQPool::addMirrTorAdc(..) to configure these parameters.

Removed the setRegister(..) commands the used to set these parameters from nbeamstartup.
Need to test.

#4 - 11/23/2015 01:33 PM - John Diamond
- Status changed from Assigned to Closed

- % Done changed from 90 to 100

Modified s60torstartup script and tested successfully on s60tor.
Merged changes into origin/mirrtor_master.

#5 - 11/23/2015 01:35 PM - John Diamond
- File rtor703.gif added

| did, however, notice that R:TOR703 was varying the baseline of the signal over 1e12 or so worth of beam. Consulted with Ning and he agreed to
look into it.
